## namazu2 2.0.20-1.0

=== debian/changelog ===
namazu2 (2.0.20-1.0) unstable; urgency=low

  * New upstream.
  * Run autoreconf -ivf, Closes: #501401

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 18 Dec 2009 14:40:05 +0900

namazu2 (2.0.18-0.1) unstable; urgency=high

  * Non-maintainer upload to fix a security issue and pending l10n issues.
  * New upstream release. Fixes CVE-2008-1468
    (allows remote attackers to inject arbitrary web script or HTML via
     UTF-7 encoded input). Closes: #472644
  * Fix the package description wrt availability of chasen
    Closes: #152873
  * Fix packages' synopsis. Closes: #173006, #245404
  * Debconf translations:
    - Dutch. Closes: #415497
    - Portuguese. Closes: #416825
    - Finnish. Closes: #472914
    - Galician. Closes: #475591
    - Basque. Closes: #475608
    - Russian. Closes: #476443
  * [Lintian] Move libnmz7-dev to section "libdevel"
  * [Lintian] Remove cruft from dh-make: debian/ex.doc-base.package
  * [Lintian] No longer ignore errors from "make distclean"
  * [Lintian] Set debhelper compatibility level in debian/compat
  * [Lintian] Don't use $(PWD) in debian/rules, nor the "CWD=$(shell pwd)"
    trick previously used. Use $(CURDIR) instead.
  * [Lintian] List "tk8.3" as first alternative before wish virtual package
  * Replace "debconf | debconf2.0" by "${misc:Depends}" in dependencies

 -- Christian Perrier <bubulle@debian.org>  Mon, 31 Mar 2008 20:27:40 +0200

namazu2 (2.0.17-1) unstable; urgency=low

  [ NOKUBI Takatsugu ]
  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 13 Mar 2007 10:15:34 +0900

namazu2 (2.0.17~rc4-1) unstable; urgency=low

  [ NOKUBI Takatsugu ]
  * Release Candidate 4.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 29 Nov 2006 07:28:03 +0900

namazu2 (2.0.17~rc3-1) unstable; urgency=low

  [ NOKUBI Takatsugu ]
  * Release Candidate 3.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon,  6 Nov 2006 09:54:22 +0900

namazu2 (2.0.17~rc2-1) unstable; urgency=low

  [ NOKUBI Takatsugu ]
  * Release Candidate 2.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  1 Nov 2006 15:24:05 +0900

namazu2 (2.0.17~rc1-1) unstable; urgency=low

  * Release Candidate 1.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 11 Oct 2006 17:25:32 +0900

namazu2 (2.0.16-8) unstable; urgency=low

  * Fixed invalid de.po message, closes: #275868.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 28 Sep 2006 04:59:17 +0000

namazu2 (2.0.16-7) unstable; urgency=low

  * Removed loading confmodules in postrm, closes: #388666.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 26 Sep 2006 05:38:31 +0000

namazu2 (2.0.16-6) unstable; urgency=low

  * More cleanup bashism, closes: #377128.

  * Fixed tknamazu related invalid DESTDIR, closes: #377536.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 11 Jul 2006 13:50:25 +0900

namazu2 (2.0.16-5) unstable; urgency=low

  * Cleanup bashism, closes: #376480.

  * debian/rules: Fixed some tknamazu related things.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  5 Jul 2006 11:20:02 +0900

namazu2 (2.0.16-4) unstable; urgency=low

  * Regenerate configure.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 12 Apr 2006 01:26:46 +0000

namazu2 (2.0.16-3) unstable; urgency=low

  * Added file on Build-Depends, it would be close #361022.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 11 Apr 2006 01:31:11 +0000

namazu2 (2.0.16-2) unstable; urgency=low

  * Updated libtool, it would be close #361022.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu,  6 Apr 2006 05:05:08 +0000

namazu2 (2.0.16-1) unstable; urgency=high

  [ NOKUBI Takatsugu ]
  * New upstream release
  * Fixed directory traversal issue.
    ref: http://www.namazu.org/security.html#dir-traversal
  * Fixed debconf issue, closes: #332043.
  * Updated de.po, closes: #275868.
  * Added vi.po, closes: #315657.
  * Added cs.po, closes: #318594.
  * Added sv.po, closes: #331561.
  * Fixed emacs startup script, closes: #251807.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 13 Mar 2006 07:18:14 +0000

namazu2 (2.0.14-1) unstable; urgency=high

  * New upstream release

  * Fix cross-site scripting on namazu.cgi

  * Fixed description, chasen was already installed in Debian.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 17 Dec 2004 07:34:24 +0900

namazu2 (2.0.13-4) unstable; urgency=low

  * Moved "dh_movefiles -pnamazu2-common" from binary-indep target to 
    install target, closes Bug#260745.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 22 Jul 2004 09:16:55 +0900

namazu2 (2.0.13-3) unstable; urgency=low

  * Added versioning conflict to avoid an overwriting file, closes: #256579.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue,  6 Jul 2004 11:21:06 +0900

namazu2 (2.0.13-2) unstable; urgency=low

  * Added some versioning dependency, closes: #250184.
  * Updated latest libtool, closes: #253606.
  * Changed description for libnmz*, closes: #210121.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 11 Jun 2004 16:50:23 +0900

namazu2 (2.0.13-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 15 Apr 2004 16:18:26 +0900

namazu2 (2.0.12-4) unstable; urgency=low

  * Updated debian/po/ja.po, closes: #241803.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon,  5 Apr 2004 13:36:58 +0900

namazu2 (2.0.12-3) unstable; urgency=low

  * Added debian/po/fr.po, closes #240858.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu,  1 Apr 2004 16:32:38 +0900

namazu2 (2.0.12-2) unstable; urgency=low

  * Moved document files into namazu2-common, closes #189374.
  * Switched to po-debconf, closes #237438.
  * Fixed a typo, closes #178760.
  * Changed index directory on namazurc example, closes #222761.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 15 Mar 2004 16:52:56 +0900

namazu2 (2.0.12-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  4 Sep 2002 14:53:57 +0900

namazu2 (2.0.10-1.1) unstable; urgency=low

  * Non maintainer upload

