=== debian/control ===
Source: namazu2
Section: text
Priority: optional
Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 4.1.16), perl, kakasi, chasen, libnkf-perl, libfile-mmagic-perl, libtext-kakasi-perl, tk8.3 | wish, lynx, file
Standards-Version: 3.6.1

Package: namazu2
Architecture: any
Depends: ${shlibs:Depends}, namazu2-common, ${misc:Depends}
Suggests: www-browser, apache, namazu2-index-tools, emacsen-common, wish
Conflicts: namazu (<< 2.0), namazu-el, tknamazu
Provides: namazu
Replaces: namazu (<< 2.0)
Description: full text search engine - binary and CGI script
 Namazu is a full text search engine which is usable via CGI. It features
 a simple and easy setup, and is written in C and Perl. Namazu uses the
 text utilities nkf, kakasi or chasen.
 .
 This package includes binary only for search index.
 To create indexes, please install namazu2-index-tools package.

Package: namazu2-index-tools
Architecture: all
Depends: ${perl:Depends}, libfile-mmagic-perl, namazu2-common
Suggests: namazu2, libnkf-perl, libtext-kakasi-perl|kakasi|chasen, bzip2, groff, mhonarc, libmp3-info-perl, wv, unzip, xpdf-utils, rpm
Conflicts: namazu2 (<< 2.0.12), namazu (<< 2.0)
Replaces: namazu (<< 2.0)
Description: full text search engine - index handling tools
 Namazu is a full text search engine which is usable via CGI. It features
 a simple and easy setup, and is written in C and Perl. Namazu uses the
 text utilities nkf, kakasi or chasen.
 .
 This package including only index handling(ex, create) tools.
 Index file format of namazu2 is incompatible with namazu1's one.
 Actually, namazu2 packages is needed for searching.

Package: namazu2-common
Architecture: all
Replaces: namazu2-doc
Suggests: namazu2, namazu2-index-tools
Conflicts: namazu2 (<= 2.0.12-1), namazu2-doc
Description: full text search engine - documentation
 Namazu is a full text search engine which is usable via CGI. It features
 a simple and easy setup, and is written in C and Perl. Namazu uses the
 text utilities nkf, kakasi or chasen.
 .
 This package including only document files, also message catalogue.

Package: libnmz7
Architecture: any
Depends: ${shlibs:Depends}
Description: full text search engine - shared library
 Namazu is a full text search engine which is usable via CGI. It features
 a simple and easy setup, and is written in C and Perl. Namazu uses the
 text utilities nkf, kakasi or chasen.
 .
 The package contains shared library. It is for CGI, command line tool,
 and/or another utilities.

Package: libnmz7-dev
Architecture: any
Depends: libnmz7
Conflicts: libnmz3-dev
Section: libdevel
Description: full text search engine - header files and static libraries
 Namazu is a full text search engine which is usable via CGI. It features
 a simple and easy setup, and is written in C and Perl. Namazu uses the
 text utilities nkf, kakasi or chasen.
 .
 The package contains libnmz header files and static libraries. It is for
 Namazu search client developments.
