## namazu2 2.0.20-1.0+nmu1

=== debian/changelog ===
namazu2 (2.0.20-1.0+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS in squeeze: Nonexistent build-dependency: 'tk8.3'"
    switch build dependency to "tk8.4 | wish" since tk8.3 is gone
    (closes: #595845).
  * Fix lintian error "weak-library-dev-dependency libnmz7-dev on libnmz7" by
    adding "(= ${binary:Version})" to libnmz7-dev's Depends.

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Sep 2010 18:41:39 +0200
