=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
-Build-Depends: debhelper (>= 4.1.16), perl, kakasi, chasen, libnkf-perl, libfile-mmagic-perl, libtext-kakasi-perl, tk8.3 | wish, lynx, file
+Build-Depends: debhelper (>= 4.1.16), perl, kakasi, chasen, libnkf-perl, libfile-mmagic-perl, libtext-kakasi-perl, tk8.4 | wish, lynx, file
 Standards-Version: 3.6.1
 
 Package: namazu2
@@ -60,7 +60,7 @@
 
 Package: libnmz7-dev
 Architecture: any
-Depends: libnmz7
+Depends: libnmz7 (= ${binary:Version})
 Conflicts: libnmz3-dev
 Section: libdevel
 Description: full text search engine - header files and static libraries
