=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

tmp = namazu2

build: build-stamp
build-stamp:
	dh_testdir

	# Namazu2
	./configure --prefix=/usr \
                --mandir=\$${prefix}/share/man \
                --infodir=\$${prefix}/share/info \
                --sysconfdir=/etc \
                --localstatedir=/var/lib \
                --libexecdir=/usr/lib/cgi-bin

	# Add here commands to compile the package.
	$(MAKE)
	# TkNamazu
	cd tknamazu && ./configure --prefix=/usr --with-namazu=$(CURDIR)/src/namazu --with-mknmz=$(CURDIR)/scripts/mknmz && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f tknamazu/Makefile ] || (cd tknamazu && $(MAKE) distclean)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install \
            prefix=$(CURDIR)/debian/$(tmp)/usr \
            sysconfdir=$(CURDIR)/debian/$(tmp)/etc \
            localstatedir=$(CURDIR)/debian/$(tmp)/var \
            libexecdir=$(CURDIR)/debian/$(tmp)/usr/lib/cgi-bin

	cd tknamazu && $(MAKE) install prefix=$(CURDIR)/debian/$(tmp)/usr

	mv $(CURDIR)/debian/$(tmp)/etc/namazu/namazurc-sample \
       $(CURDIR)/debian/$(tmp)/etc/namazu/namazurc
	mv $(CURDIR)/debian/$(tmp)/etc/namazu/mknmzrc-sample \
       $(CURDIR)/debian/$(tmp)/etc/namazu/mknmzrc
	rm -f $(CURDIR)/debian/$(tmp)/usr/share/namazu/filter/ole*

	mv $(CURDIR)/debian/$(tmp)/usr/share/namazu/doc/* \
       $(CURDIR)/debian/$(tmp)/usr/share/doc/namazu2-common/
	for i in COPYING INSTALL INSTALL-ja; do \
	rm $(CURDIR)/debian/$(tmp)/usr/share/namazu/etc/$$i; done

	mv $(CURDIR)/debian/$(tmp)/usr/share/namazu/etc/* \
       $(CURDIR)/debian/$(tmp)/usr/share/doc/namazu2-common/
	mv $(CURDIR)/tknamazu/tknamazurc \
       $(CURDIR)/debian/$(tmp)/etc/namazu/

# remove version dependency for tknamazu
	sed -e '1s:^.*:#! /usr/bin/wish:' $(CURDIR)/tknamazu/tknamazu > $(CURDIR)/debian/$(tmp)/usr/bin/tknamazu.new
	mv $(CURDIR)/debian/$(tmp)/usr/bin/tknamazu.new $(CURDIR)/debian/$(tmp)/usr/bin/tknamazu
	chmod +x $(CURDIR)/debian/$(tmp)/usr/bin/tknamazu

	touch $(CURDIR)/debian/$(tmp)/etc/namazu/cgidirs

	cp lisp/gnus*.el lisp/namazu.el $(CURDIR)/debian/$(tmp)/usr/share/emacs/site-lisp/namazu/

	dh_movefiles --sourcedir=debian/$(tmp)
	-find debian/$(tmp)/usr -type d -empty | xargs rmdir -p > /dev/null 2>&1
	rm -rf $(CURDIR)/debian/$(tmp)/var/namazu

	# Bug#125643
	rm -rf $(CURDIR)/debian/$(tmp)/usr/share/locale/ja_JP.SJIS
	# Bug#260745
	dh_movefiles -pnamazu2-common --sourcedir=debian/$(tmp) usr/share/doc/namazu2-common

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs -pnamazu2-common debian/changelog
	dh_installdocs -i -XCOPYING -XINSTALL -XINSTALL-ja -XABOUT-NLS
	dh_undocumented -pnamazu2-index-tools gcnmz.1 kwnmz.1 mailutime.1 nmzgrep.1 rfnmz.1 vfnmz.1 adnmz.1 lnnmz.1 nmzmerge.1
	rm -rf $(CURDIR)/debian/namazu2-index-tools/usr/share/doc/namazu2-index-tools
	dh_link -pnamazu2-index-tools /usr/share/doc/namazu2-common /usr/share/doc/namazu2-index-tools
	dh_compress -i
	dh_fixperms -i
	# You may want to make some executables suid here.
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf -pnamazu2
	dh_installdocs -a -XCOPYING -XINSTALL -XINSTALL-ja
	dh_installchangelogs -plibnmz7 -plibnmz7-dev ChangeLog
	dh_installexamples -a -XCOPYING -XINSTALL -XINSTALL-ja
	dh_movefiles -plibnmz7-dev --sourcedir=debian/$(tmp) \
		usr/lib/libnmz.so \
		usr/lib/libnmz.a usr/lib/libnmz.la
	dh_movefiles -plibnmz7 --sourcedir=debian/$(tmp) \
		 usr/lib/libnmz.so.7 usr/lib/libnmz.so.7.1.0
	dh_movefiles -plibnmz7-dev --sourcedir=debian/$(tmp) usr/include usr/bin/nmz-config
	dh_installemacsen -pnamazu2 --priority=50
	dh_installmenu -a
	dh_installcron -a
	dh_installmanpages -pnamazu2 tests/data/en/man.1 tests/data/en/man.1 man/mknmz.1
	dh_installinfo -a
	dh_undocumented -plibnmz7-dev nmz-config.1
	dh_undocumented -pnamazu2 bnamazu.1 tknamazu.1
	rm -rf $(CURDIR)/debian/namazu2/usr/share/doc/namazu2
	dh_link -a -pnamazu2 /usr/share/doc/namazu2-common /usr/share/doc/namazu2
	dh_link -a -pnamazu2 /usr/share/tknamazu/tknamazurc /etc/namazu/tknamazurc
	dh_strip -a
	dh_compress -a
	dh_fixperms -a

	# You may want to make some executables suid here.
	dh_makeshlibs -a -plibnmz7
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a -l$(CURDIR)/debian/libnmz7/usr/lib -- -Llibnmz7
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
