## namazu2 2.0.21

=== debian/changelog ===
namazu2 (2.0.21-25.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097429)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 22:40:17 +0300

namazu2 (2.0.21-25) unstable; urgency=medium

  * debian/patches: fix memcmp check code (Closes: #1075303)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 04 Jul 2024 13:00:41 +0900

namazu2 (2.0.21-24) unstable; urgency=medium

  * Remove -Werror=implicit-function-declaration flag on configure (Closes: #1066430)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 14 Mar 2024 04:36:00 +0000

namazu2 (2.0.21-23) unstable; urgency=medium

  * d/control: Add Homepage and Vcs-*

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sun, 31 Jan 2021 16:05:22 +0900

namazu2 (2.0.21-22.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper-compat (= 13).
  * Sanitize debhelper usage.  (Closes: #979301, #980776)
  * Don't skip the tests, but ignore failures for now.
  * Minor cleanups.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Jan 2021 00:54:07 +0100

namazu2 (2.0.21-22.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 16:43:47 +0100

namazu2 (2.0.21-22) unstable; urgency=medium

  * d/p/0002-escape-branckets.patch: escape branckets in regex,
    Closes: #890012
  * d/control: s/apache/apache2/

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 17 Apr 2019 07:29:57 +0000

namazu2 (2.0.21-21) unstable; urgency=medium

  * debian/rules: remove -pie from maint option, closes: 865610

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 28 Jun 2017 07:01:02 +0000

namazu2 (2.0.21-20) unstable; urgency=medium

  * debian/emacsen-*: Update from new deb-make template.
  * debian/patches/0001-fix-old-backquote.patch: Remove ancient backquote

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 05 Jan 2017 07:18:32 +0000

namazu2 (2.0.21-19) unstable; urgency=medium

  * debian/rules: fix build error on binary-indep, closes: #832531

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 04 Oct 2016 06:24:59 +0000

namazu2 (2.0.21-18) unstable; urgency=medium

  * debian/control: Change Breaks, Replaces from namazu2-index-tools
    to namazu2.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 12 Aug 2016 09:03:08 +0900

namazu2 (2.0.21-17) unstable; urgency=medium

  * debian/control: Add Breaks, Replaces headers, some tools moved from
    namazu2-index-tools to namazu2, closes: #833335.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 10 Aug 2016 02:18:58 +0000

namazu2 (2.0.21-16) unstable; urgency=medium

  * Remove mknmz.1.gz from namazu2 package, closes: #833335.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 08 Aug 2016 06:55:46 +0000

namazu2 (2.0.21-15) unstable; urgency=medium

  * Remove some $(CURDIR), closes: #832531.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 02 Aug 2016 07:04:38 +0000

namazu2 (2.0.21-14) unstable; urgency=medium

  * debian/rules: ignore status of rm, closes: #831251.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 15 Jul 2016 06:38:10 +0000

namazu2 (2.0.21-13) unstable; urgency=medium

  * Change to use dh version 9, source format 3.0 (quilt)

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 05 Jul 2016 09:00:00 +0000

namazu2 (2.0.21-12) unstable; urgency=medium

  * debian/rules: commented dh_undocumented out more, Closes: #815607

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 05 Apr 2016 04:52:26 +0000

namazu2 (2.0.21-11) unstable; urgency=medium

  * debian/rules: commented dh_undocumented out, Closes: #815607

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 30 Mar 2016 07:04:15 +0000

namazu2 (2.0.21-10) unstable; urgency=medium

  * filter/mp3.pl: Remove ineffective regex, Closes: #762533.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 24 Sep 2014 05:08:06 +0000

namazu2 (2.0.21-9) unstable; urgency=medium

  * Use dh_autoreconf closes: #736697
    Reported by Logan Rosen, thank you.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 27 Feb 2014 07:18:55 +0000

namazu2 (2.0.21-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to tk build-dependency instead of tk8.4 because the package
    needs /usr/bin/wish which soon will be provided only by tk,
    Closes: #725027

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 Oct 2013 13:04:26 +0400

namazu2 (2.0.21-8) unstable; urgency=low

  * Add pt_BR.po , Closes: #693379

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 24 Nov 2012 05:38:06 +0000

namazu2 (2.0.21-6) unstable; urgency=low

  * Remove cgidirs in postrm, Closes: #688498

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 27 Sep 2012 16:51:17 +0900

namazu2 (2.0.21-5) unstable; urgency=low

  * Remove /etc/namazu/cgidirs from conffiles.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 27 Sep 2012 16:36:28 +0900

namazu2 (2.0.21-4) unstable; urgency=low

  * Specify conffiles explicitly, Closes: #688498

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 27 Sep 2012 15:41:53 +0900

namazu2 (2.0.21-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo in debconf templates. Closes: #657679
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #621369
    - Polish (Michał Kułach).  Closes: #657970
    - Italian (Francesca Ciceri).  Closes: #658200

 -- Christian Perrier <bubulle@debian.org>  Wed, 08 Feb 2012 07:20:48 +0100

namazu2 (2.0.21-3) unstable; urgency=low

  * Update autotools for kFreeBSD (closes: #634772).

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 20 Jul 2011 09:51:44 +0900

namazu2 (2.0.21-2) unstable; urgency=low

  * Update config.guess (closes: #634772).

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jul 2011 17:11:33 +0900

namazu2 (2.0.21-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jul 2011 16:46:04 +0900


