=== debian/control ===
--- 
+++ 
@@ -2,16 +2,35 @@
 Section: text
 Priority: optional
 Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
-Build-Depends: debhelper (>= 4.1.16), perl, kakasi, chasen, libnkf-perl, libfile-mmagic-perl, libtext-kakasi-perl, tk8.4 | wish, lynx, file
-Standards-Version: 3.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ perl,
+ kakasi,
+ chasen,
+ libnkf-perl,
+ libfile-mmagic-perl,
+ libtext-kakasi-perl,
+ tk,
+ lynx,
+ file,
+Rules-Requires-Root: no
+Standards-Version: 3.9.7
+Homepage: http://www.namazu.org/
+Vcs-Git: https://salsa.debian.org/debian/namazu2.git
+Vcs-Browser: https://salsa.debian.org/debian/namazu2
 
 Package: namazu2
 Architecture: any
-Depends: ${shlibs:Depends}, namazu2-common, ${misc:Depends}
-Suggests: www-browser, apache, namazu2-index-tools, emacsen-common, wish
+Depends:
+ ${perl:Depends},
+ ${shlibs:Depends},
+ namazu2-common (= ${source:Version}),
+ ${misc:Depends}
+Suggests: www-browser, apache2, namazu2-index-tools, emacsen-common, tk
 Conflicts: namazu (<< 2.0), namazu-el, tknamazu
 Provides: namazu
-Replaces: namazu (<< 2.0)
+Replaces: namazu (<< 2.0), namazu2-index-tools (<< 2.0.21-16)
+Breaks: namazu2-index-tools (<< 2.0.21-16)
 Description: full text search engine - binary and CGI script
  Namazu is a full text search engine which is usable via CGI. It features
  a simple and easy setup, and is written in C and Perl. Namazu uses the
@@ -22,7 +41,7 @@
 
 Package: namazu2-index-tools
 Architecture: all
-Depends: ${perl:Depends}, libfile-mmagic-perl, namazu2-common
+Depends: ${perl:Depends}, libfile-mmagic-perl, namazu2-common, ${misc:Depends}
 Suggests: namazu2, libnkf-perl, libtext-kakasi-perl|kakasi|chasen, bzip2, groff, mhonarc, libmp3-info-perl, wv, unzip, xpdf-utils, rpm
 Conflicts: namazu2 (<< 2.0.12), namazu (<< 2.0)
 Replaces: namazu (<< 2.0)
@@ -37,6 +56,7 @@
 
 Package: namazu2-common
 Architecture: all
+Depends: ${misc:Depends}
 Replaces: namazu2-doc
 Suggests: namazu2, namazu2-index-tools
 Conflicts: namazu2 (<= 2.0.12-1), namazu2-doc
@@ -48,8 +68,9 @@
  This package including only document files, also message catalogue.
 
 Package: libnmz7
+Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: full text search engine - shared library
  Namazu is a full text search engine which is usable via CGI. It features
  a simple and easy setup, and is written in C and Perl. Namazu uses the
@@ -59,10 +80,10 @@
  and/or another utilities.
 
 Package: libnmz7-dev
+Section: libdevel
 Architecture: any
-Depends: libnmz7 (= ${binary:Version})
+Depends: libnmz7 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libnmz3-dev
-Section: libdevel
 Description: full text search engine - header files and static libraries
  Namazu is a full text search engine which is usable via CGI. It features
  a simple and easy setup, and is written in C and Perl. Namazu uses the
