=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		CFLAGS="-g -O2 -Wall -pedantic $(shell dpkg-buildflags --get CFLAGS | sed 's/-Werror=implicit-function-declaration//')" \
		--localstatedir=/var/lib \
		--libexecdir=/usr/lib/cgi-bin
	dh_auto_configure --sourcedirectory=tknamazu -- \
		--with-namazu=$(CURDIR)/src/namazu \
		--with-mknmz=$(CURDIR)/scripts/mknmz

override_dh_auto_clean:
	dh_auto_clean --sourcedirectory=tknamazu
	dh_auto_clean

override_dh_auto_test:
	-dh_auto_test --no-parallel

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=tknamazu

	mv $(CURDIR)/debian/tmp/etc/namazu/namazurc-sample \
       $(CURDIR)/debian/tmp/etc/namazu/namazurc
	mv $(CURDIR)/debian/tmp/etc/namazu/mknmzrc-sample \
       $(CURDIR)/debian/tmp/etc/namazu/mknmzrc
	rm -f $(CURDIR)/debian/tmp/usr/share/namazu/filter/ole*

	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/namazu2-common/
	mv $(CURDIR)/debian/tmp/usr/share/namazu/doc/* \
	$(CURDIR)/debian/tmp/usr/share/doc/namazu2-common/
	for i in COPYING INSTALL INSTALL-ja; do \
	rm $(CURDIR)/debian/tmp/usr/share/namazu/etc/$$i; done

	mv $(CURDIR)/debian/tmp/usr/share/namazu/etc/* \
       $(CURDIR)/debian/tmp/usr/share/doc/namazu2-common/
	mv $(CURDIR)/tknamazu/tknamazurc \
       $(CURDIR)/debian/tmp/etc/namazu/

# remove version dependency for tknamazu
	sed -e '1s:^.*:#! /usr/bin/wish:' $(CURDIR)/tknamazu/tknamazu > $(CURDIR)/debian/tmp/usr/bin/tknamazu.new
	mv $(CURDIR)/debian/tmp/usr/bin/tknamazu.new $(CURDIR)/debian/tmp/usr/bin/tknamazu
	chmod +x $(CURDIR)/debian/tmp/usr/bin/tknamazu

	mkdir -p $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/namazu/
	cp lisp/gnus*.el lisp/namazu.el $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/namazu/

	-find debian/tmp/usr -type d -empty | xargs -r rmdir -p
	rm -rf $(CURDIR)/debian/tmp/var/namazu

	# Bug#125643
	rm -rf $(CURDIR)/debian/tmp/usr/share/locale/ja_JP.SJIS

override_dh_installdocs:
	# HACK! --link-doc is no longer allowed between arch:any and arch:all packages
	mkdir -p debian/namazu2/usr/share/doc
	ln -s namazu2-common debian/namazu2/usr/share/doc/namazu2
	dh_installdocs -pnamazu2-index-tools --link-doc=namazu2-common
	dh_installdocs --remaining-packages

override_dh_installemacsen:
	dh_installemacsen --priority=50

override_dh_missing:
	dh_missing --list-missing
